﻿

$(function () {
    var elem;

    changeTarget('.kbactions');

    function copy(text) {
        var input = document.createElement('input');
        input.type = 'text';
        input.value = text;
        input.style.cssText = 'position: fixed; top:0; left: 0;';

        document.body.insertBefore(input, document.body.firstChild);

        input.focus();
        input.selectionStart = 0;
        input.selectionEnd = text.length;

        document.execCommand('copy');

        document.body.removeChild(input);
    }
    function changeTarget(selector) {
        if (elem) {
            elem.removeClass('__gs_test_target');
        }

        elem = $(selector);
        elem.addClass('__gs_test_target');
    }
    window.addEventListener('keydown', function (e) {

        var d = 1;
        if (e.shiftKey) {
            d = 10;
        }

        if (e.keyCode == 38) {
            e.preventDefault();

            if (e.ctrlKey) {
                elem.css('height', '-=' + d);
            } else {
                elem.css('top', '-=' + d);
            }
        }
        if (e.keyCode == 39) {
            e.preventDefault();

            if (e.ctrlKey) {
                elem.css('width', '+=' + d);
            } else {
                elem.css('left', '+=' + d);
            }
        }
        if (e.keyCode == 40) {
            e.preventDefault();

            if (e.ctrlKey) {
                elem.css('height', '+=' + d);
            } else {
                elem.css('top', '+=' + d);
            }
        }
        if (e.keyCode == 37) {
            e.preventDefault();

            if (e.ctrlKey) {
                elem.css('width', '-=' + d);
            } else {
                elem.css('left', '-=' + d);
            }
        }

        //Z
        if (e.keyCode == 90) {
            e.preventDefault();

            var selector = window.prompt("selector?", elem.selector);
            if (selector) {
                changeTarget(selector);
            }
        }

        //S
        if (e.keyCode == 83) {
            e.preventDefault();

            elem.toggle();
        }

        //C
        if (e.keyCode == 67 && e.ctrlKey) {
            e.preventDefault();

            var top = elem.css('top');
            var left = elem.css('left');
            var width = elem.css('width');
            var height = elem.css('height');

            var msg = 'position: absolute; top: ' + top + '; left: ' + left + '; width: ' + width + '; height: ' + height + ';';
            var msg = elem.selector + '{top: ' + top + '; left: ' + left + '}';

            if (e.shiftKey) {
                var msg = elem.selector + '{top: ' + top + '; left: ' + left + '; width: ' + width + '; height: ' + height + '}';
            }

            copy(msg);
        }

        console.log("keycode: " + e.keyCode);
    }, false);
})